<!doctype html>
<html lang="en">
	<head>
		<title>Curriculum</title>
	</head>
	<body>
		<div class="mx-auto max-w-screen-md px-4 pt-10" th:fragment="ticurriculum">
			<p class="flex items-center gap-2 text-3xl font-semibold text-on-surface-higher">
				<svg
					xmlns="http://www.w3.org/2000/svg"
					fill="none"
					viewBox="0 0 24 24"
					stroke-width="1.5"
					stroke="currentColor"
					class="size-7 stroke-orange-500"
				>
					<path
						stroke-linecap="round"
						stroke-linejoin="round"
						d="M6.429 9.75 2.25 12l4.179 2.25m0-4.5 5.571 3 5.571-3m-11.142 0L2.25 7.5 12 2.25l9.75 5.25-4.179 2.25m0 0L21.75 12l-4.179 2.25m0 0 4.179 2.25L12 21.75 2.25 16.5l4.179-2.25m11.142 0-5.571 3-5.571-3"
					/>
				</svg>
				Kurikulum
			</p>
			<ul
				x-data="{curriculums : [{semester : 1, subjects :['Bahasa Inggris','Legalisasi Bisnis Tazkia Value', 'Matematika Dasar Teknik','Arsitektur & Organisasi Komputer','Matematika Diskrit','Pemrograman Dasar', 'Pengantar Teknologi Informasi']},{semester : 2, subjects :['Kewarganegaraan','Struktur Data dan Algoritma','Fundamental Ekonomi Islam','Pemrograman Lanjutan','Statistika dan Probabilitas','Aljabar Linier']},{semester : 3, subjects :['Bahasa Indonesia','Fiqih Muamalah','Kontruksi dan Rekayasa Perangkat Lunak','Artificial Intelligence & Machine Learning','Analisis dan Desain Sistem','Sistem Operasi','Sistem Basis Data']},{semester : 4, subjects :['Agama','Metode Penelitian','Pengembangan Aplikasi Web','Data Engineering','Keamanan Informasi','Jaringan Komputer dan Komputasi Awan']},{semester : 5, subjects :['Magang','Programan Sistem Interaktif','Kriptografi']},{semester : 6, subjects :['Project Management','Penulisan Karya Ilmiah','Enterprise Architecture','Interaksi Manusia dan Komputer','Secure Coding','Sistem Terdistribusi','Data Lake and Integration']},{semester : 7, subjects :['Proposal Tugas Akhir/Skripsi','Mata kuliah pilihan']},{semester : 8, subjects :['Etika Profesi','Tugas Akhir/Skripsi','Mata kuliah pilihan']}] }"
				class="space-y-4"
			>
				<template x-for="curriculum in curriculums">
					<li>
						<div x-data="{isOpen : false}" class="w-full bg-surface-container-higher">
							<button
								@click="isOpen = !isOpen"
								class="flex w-full items-center justify-between gap-2 border-b border-surface-outline-lower p-3 text-xl font-semibold text-on-surface"
							>
								<span x-text="'Semester ' + curriculum.semester"></span>
								<svg
									:class="{'rotate-180':isOpen}"
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="size-5 transition-transform ease-in-out"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="m19.5 8.25-7.5 7.5-7.5-7.5"
									/>
								</svg>
							</button>
							<div x-cloak x-show="isOpen" x-collapse @click.outside="isOpen = false">
								<ul class="grid grid-cols-1 gap-4 p-4 md:grid-cols-2">
									<template x-for="subject in curriculum.subjects">
										<li class="flex items-center gap-2 text-on-surface">
											<svg
												xmlns="http://www.w3.org/2000/svg"
												fill="none"
												viewBox="0 0 24 24"
												stroke-width="1.5"
												stroke="currentColor"
												class="size-5 stroke-orange-500"
											>
												<path
													stroke-linecap="round"
													stroke-linejoin="round"
													d="M12 7.5h1.5m-1.5 3h1.5m-7.5 3h7.5m-7.5 3h7.5m3-9h3.375c.621 0 1.125.504 1.125 1.125V18a2.25 2.25 0 0 1-2.25 2.25M16.5 7.5V18a2.25 2.25 0 0 0 2.25 2.25M16.5 7.5V4.875c0-.621-.504-1.125-1.125-1.125H4.125C3.504 3.75 3 4.254 3 4.875V18a2.25 2.25 0 0 0 2.25 2.25h13.5M6 7.5h3v3H6v-3Z"
												/>
											</svg>
											<span x-text="subject"></span>
										</li>
									</template>
								</ul>
							</div>
						</div>
					</li>
				</template>
			</ul>
			<!-- end kurikulum -->
		</div>
	</body>
</html>
